summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorSergey Poznyakoff <gray@gnu.org.ua>2010-05-06 23:18:34 +0300
committerSergey Poznyakoff <gray@gnu.org.ua>2010-05-06 23:25:31 +0300
commitabe9c758009394a09d0cb84cdaae37e5752953f2 (patch)
treefce984bd556c9b57bffddd812570eb9d48e603ee /tests
parentf4b47c930f982b18171125685444194c66ecc139 (diff)
downloadgnulib-abe9c758009394a09d0cb84cdaae37e5752953f2.tar.gz
exclude: Unescape hashed patterns in wildcard mode.
* lib/exclude.c (add_exclude): Unescape the pattern before adding it to the hash list. * tests/test-exclude8.sh: New test case. * modules/exclude-tests: Add new test.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/test-exclude8.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/tests/test-exclude8.sh b/tests/test-exclude8.sh
new file mode 100755
index 0000000000..ee14bbcd8f
--- /dev/null
+++ b/tests/test-exclude8.sh
@@ -0,0 +1,40 @@
+#! /bin/sh
+# Test suite for exclude.
+# Copyright (C) 2010 Free Software Foundation, Inc.
+# This file is part of the GNUlib Library.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+TMP=excltmp.$$
+LIST=flist.$$
+ERR=0
+
+# Test escaped metacharacters.
+
+cat > $LIST <<'EOT'
+f\*e
+b[a\*]r
+EOT
+
+cat > $TMP <<'EOT'
+f*e: 1
+file: 0
+bar: 1
+EOT
+
+./test-exclude$EXEEXT -wildcards $LIST -- 'f*e' 'file' 'bar' |
+ tr -d '\015' | diff -c $TMP - || ERR=1
+
+rm -f $TMP $LIST
+exit $ERR